// 该文件用于创建store实例
import {
  action,
  observable
} from 'mobx-miniprogram'

export const store = observable({
  // 数据字段
  numA: 1,
  numB: 2,
  // 计算属性
  get sum() {
    return this.numA + this.numB
  },
  // actions
  updateNumA: action(function (step) {
    console.log(step, '触发');
    this.numA += step
  })
})